<?php

// Minimalversion Fragebogen.
// Nachdem die Vpn. den Fragebogen ausgefüllt haben,
//  werden ihre Daten gespeichert und werden sie selber
//  zu einer anderen Seite weitergeleitet. Ihre Vpn-ID
//  wird dem URL der nächsten Seite angehängt, sodass
//  diese wieder abgelesen werden kann.

// jan.vanhove@unifr.ch
// 13. März 2019

// Get subject ID
// $SubjectID = $_GET['s'];

// Datum + Zeit abfragen
$Date = date("Ymd-H:i:s");


// Folgendes ausführen, wenn das Formular eingereicht wird.
if(isset($_POST['submit'])){

  ///////////////////////
  // Collect form data //
  ///////////////////////
  
  // VPN-ID
  $SubjectID = $_POST['SubjectID'];

  // Geschlecht
  $Sex = $_POST['Sex'];

  // Alter
  $Age = $_POST['Age'];

  // Sprachen (angekreuzt); schön ist das Ergebnis hier dann nicht, aber die Infos sind immerhin in der Datei vorhanden
  $Languages = $_POST['Languages'];
  $Languages = implode("; ", $Languages);

  // Sonstige Sprachen (eingetippt)
  if(isset($_POST['OtherLanguages'])) {
    $OtherLanguages = $_POST['OtherLanguages'];
  } else {
    $OtherLanguages = "NA";
  }

  // Klasse
  $Grade = $_POST['Grade'];

  // Motivation/Attitude
  $attitudeschool = $_POST['attitudeschool'];
  $attitudelanguage = $_POST['attitudelanguage'];
  $attitudeclass = $_POST['attitudeclass'];
  $attitudelearning = $_POST['attitudelearning'];

  // Zu speichernde Variable
  $Content = "\"$SubjectID\", \"$Date\", \"$Sex\", \"$Grade\", \"$Age\", \"$Languages\", \"$OtherLanguages\", \"$attitudeschool\", \"$attitudelanguage\", \"$attitudeclass\", \"$attitudelearning\" \n";
  
  // Name der CSV-Datei
  $FileName = "fragebogen.csv";
  
  // der CSV-Datei den neuen Inhalt hinzufügen
  file_put_contents("data/".$FileName, $Content, FILE_APPEND);
  
  // Versuchsperson weiterleiten
  header('Location:ninasurvey.php?ID='.$SubjectID);
  exit();
}
?>

<!DOCTYPE html>
<html>

<head>
  <script type="text/javascript" src="//code.jquery.com/jquery-1.8.3.js"></script>


	<!-- style definiert, wie der Fragebogen aussehen soll. Nach eigenem ästhetischem Geschmack anpassen. -->
  <style type="text/css">
    #vragenlijst {text-align: left; line-height: 170%;
    font-size: 14px; font-family: Verdana, "sans-serif";}

    p.center {text-align: center;}

    input {font-size:14px; font-family: Verdana, "sans-serif";}
    select {font-size:14px; font-family: Verdana, "sans-serif";}

    /*div.sectie {padding-bottom: 5px; margin-bottom: 5px;
    }*/


    .outer {
      display: table;
      position: absolute;
      height: 100%;
      width: 100%;
    }

    .middle {
      display: table-cell;

    }

    .inner {
      margin-left: auto;
      margin-right: auto;
      max-width: 750px;
    }

    /*
    label {display: block; margin-left: 20px;}
    input {float: left; margin-left: -20px; margin-right: 7px;}
    */

    span.beschrijving {
      display: block;
      margin-top: -26px;
      margin-bottom: 16px;
      margin-left: 28px;
      max-width: 45em;
    }

    hr {
      display: block;
      margin-top: 20px;
      margin-bottom: 20px;
      margin-left: auto;
      margin-right: auto;
      border-style: inset;
      border-width: 1px;
    }

    form .likert {
      list-style:none;
      width:100%;
      margin:0;
      padding:0 0 0px;
      display:block;
    }
    form .likert:last-of-type {border-bottom:0;}
    form .likert:before {
      content: '';
      position:relative;
      top:11px;
      left:9.5%;
      display:block;
      height:4px;
      width:78%;
    }
    form .likert li {
      display:inline-block;
      width:19%;
      text-align:center;
      vertical-align: top;
    }
    form .likert li input[type=radio] {
      display:block;
      position:relative;
      top:0;
      left:50%;
      margin-left:-6px;

    }
    /*form .likert li label {width:100%;}
    form .buttons {
    margin:30px 0;
    padding:0 4.25%;
    text-align:right
  }
  form .buttons button {
  padding: 5px 10px;
  background-color: #67ab49;
  border: 0;
  border-radius: 3px;
  }*/

  </style>

  <title>Fragebogen</title>
  <meta charset="UTF-8">

</head>

<body>



  <div class="outer">
    <div class="middle">
      <div class="inner">

        <div id="vragenlijst">

          <h1>Fragebogen</h1>

          <div class="sectie">
            <p>Bitte beantworte ein paar Fragen über dich, bevor wir mit dem Experiment beginnen.</p>
            </div>

            <form method='post'>
            
            	<div class="sectie">
            		<hr />
            		<p>Tippe hier deine ID ein: 
            		<input type = "text"
            		id = "SubjectID"
            		name = "SubjectID"
            		pattern="[A-Z][2357][01][2357]"
            		title = "ID stimmt nicht, bitte kontrollieren"
            		placeholder = ""
            		required autofocus>
            	</div>

              <div class="sectie">
              	<hr />
                <p>Bist du ein Junge oder Mädchen?<br />
                      <input type="radio" name="Sex" id="female" value="female" required/> <label for="female">Mädchen</label><br />
                      <input type="radio" name="Sex" id="male" value="male" /> <label for="male">Junge</label>
                </p>
                
              	<hr />
                <p>Wie alt bist du?
                	<input type="number" name="Age" min="6" max="130" required/>
                </p>
              </div>

              <div class="sectie">
              	<hr />
                <p>In welcher Klasse bist du?<br />
                      <input type="radio" name="Grade" id="5" value="5" required/> <label for="5">5. Klasse</label><br />
                      <input type="radio" name="Grade" id="6" value="6" /> <label for="6">6. Klasse</label>
                </p>
              </div>

              <div class="sectie">
                <hr />
                <p>Welche Sprache(n) sprichst du zu Hause (mit deinen Eltern, Geschwistern, etc.)? Du kannst mehrere ankreuzen und eintippen.<br />
                  <input type="checkbox" name="Languages[]" id="German" value="German"> <label for="German">Deutsch</label><br/>
                  <input type="checkbox" name="Languages[]" id="French" value="French"> <label for="French">Französisch</label><br/>
                  <input type="checkbox" name="Languages[]" id="English" value="English"> <label for="English">Englisch</label><br/> <!-- etc. etc. -->
                  
                  <input type="checkbox" name="Languages[]" id="others" value="others"> <label for="others">andere, und zwar: </label>
                  <span id="OtherLanguagesText"><input type="text" name="OtherLanguages" id="OtherLanguages" placeholder="andere Sprache(n)"></span><br/>
                </p>
              </div>

              <div class="sectie">
              	<hr />
                <p>
                <table class="grid" cellspacing="10">
                <tr>
                  <td></td>
                  <td>stimmt<br>gar nicht</td>
                  <td>stimmt<br>eher nicht</td>
                  <td>stimmt<br>eher</td>
                  <td>stimmt<br>ganz genau</td>
                </tr>
                <tr>
                  <td class="griditem">Ich gehe gerne zur Schule.</td>
                  <td><input type=radio  name="attitudeschool" value="1" required></td>
                  <td><input type=radio  name="attitudeschool" value="2"></td>
                  <td><input type=radio  name="attitudeschool" value="3"></td>
                  <td><input type=radio  name="attitudeschool" value="4"></td>
                </tr>
                <tr>
                  <td class="griditem">Ich finde den Englischunterricht langweilig.</td>
                  <td><input type=radio  name="attitudeclass" value="4" required></td>
                  <td><input type=radio  name="attitudeclass" value="3"></td>
                  <td><input type=radio  name="attitudeclass" value="2"></td>
                  <td><input type=radio  name="attitudeclass" value="1"></td>
                </tr>
                <tr>
                  <td class="griditem">Mir gefällt die englische Sprache.</td>
                  <td><input type=radio  name="attitudelanguage" value="1" required></td>
                  <td><input type=radio  name="attitudelanguage" value="2"></td>
                  <td><input type=radio  name="attitudelanguage" value="3"></td>
                  <td><input type=radio  name="attitudelanguage" value="4"></td>
                </tr>
                <tr>
                  <td class="griditem">Es ist mühsam, Englisch zu lernen.</td>
                  <td><input type=radio  name="attitudelearning" value="4" required></td>
                  <td><input type=radio  name="attitudelearning" value="3"></td>
                  <td><input type=radio  name="attitudelearning" value="2"></td>
                  <td><input type=radio  name="attitudelearning" value="1"></td>
                </tr>
                </table>
                </p>
              </div>

						  <hr />
						  <p class="center"><input type="submit" name ="submit" value="fertig" />
						  </p>

                </form>
              </div>
            </div>
          </div>
        </div>
      </body>
      </html>
